> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Pick

> This endpoint deletes an existing pick.

### Body

<ParamField body="id" type="string">
  The id of the pick to delete.
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the return
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.stateset.com/v1/picks/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
  		"id": "pl_ODkRWQtx9NVsRX"
  }'
  ```

  ```javascript Node.js theme={null}

  const deleted = await stateset.picks.del(
    'pl_ODkRWQtx9NVsRX'
  );

  ```

  ```graphQL GraphQL theme={null}

                 mutation deletePicks ($pick_id: String!) {
                  delete_picks(where: {id: {_eq: $pick_id}}) {
                    affected_rows
                  }
                }
  ```

  ```python Python theme={null}

  deleted = stateset.picks.del(
    'pl_ODkRWQtx9NVsRX'
  )

  ```

  ```ruby Ruby theme={null}

  deleted = Stateset::picks.del(
    'pl_ODkRWQtx9NVsRX'
  )

  ```

  ```php PHP theme={null}

  $deleted = $stateset->picks->del(
    'pl_ODkRWQtx9NVsRX'
  );

  ```

  ```go Go theme={null}

  deleted, err := stateset.picks.Del(
    'pl_ODkRWQtx9NVsRX'
  )

  ```

  ```java Java theme={null}

  picks deleted = stateset.picks.del(
    'pl_ODkRWQtx9NVsRX'
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "pi_1NXWPnCo6bFb1KQto6C8OWvE",
    "object": "picks",
    "deleted": true
  }

  ```
</ResponseExample>
